Debian Bug report logs - #468132
ITP: packagekit -- a distribution neutral interface to manage software packages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastian Heinlein <devel@glatzor.de>

Date: Wed, 27 Feb 2008 08:00:02 UTC

Owned by: Matthias Klumpp <matthias@nlinux.org>

Severity: wishlist

Fixed in versions packagekit/0.6.8-1, packagekit/0.6.8-2

Done: Matthias Klumpp <matthias@nlinux.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#468132; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <devel@glatzor.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <devel@glatzor.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: packagekit -- PackageKit provides a distribution neutral interface to manage software packages. It provides a system wide daemon that performs tasks like refreshing the cash, updating, installing and removing software independetly from the user interface. By default, PackageKit uses PolicyKit for user authentication. This allows to specify with fine-grained control what your users can and cannot do.
Date: Wed, 27 Feb 2008 08:53:04 +0100
Package: wnpp
Severity: wishlist
Owner: Sebastian Heinlein <devel@glatzor.de>


* Package name    : packagekit
  Version         : 0.1.8
  Upstream Author : Richard Hughsie <richard@hughsie.com>
* URL             : http://www.packagekit.org
* License         : GPL2+
  Programming Lang: C, Python
  Description     : PackageKit provides a distribution neutral interface to manage software packages. It provides a system wide daemon that performs tasks like refreshing the cash, updating, installing and removing software independetly from the user interface. By default, PackageKit uses PolicyKit for user authentication. This allows to specify with fine-grained control what your users can and cannot do.

(Include the long description here.)

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. Full text and rfc822 format available.

Message #10 received at 468132@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Sebastian Heinlein <devel@glatzor.de>, 468132@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#468132: ITP: packagekit [...]
Date: Wed, 27 Feb 2008 11:28:58 +0100
[Message part 1 (text/plain, inline)]
On Wed, Feb 27, 2008 at 08:53:04AM +0100, Sebastian Heinlein wrote:

> * Package name    : packagekit
>   Description     : PackageKit provides a distribution neutral interface to manage software packages. It provides a system wide daemon that performs tasks like refreshing the cash, updating, installing and removing software independetly from the user interface. By default, PackageKit uses PolicyKit for user authentication. This allows to specify with fine-grained control what your users can and cannot do.
> 
> (Include the long description here.)

Debian packages have both a short description and a long one. I also see
you made some spelling errors. I suggest the following short and long
description:

Description: distribution neutral software package manager
 PackageKit provides a distribution neutral interface to manage
 software packages. It provides a daemon that refreshes the package
 cache, updates, installs and removes packages independent of the user
 interface.
 .
 By default, PackageKit uses PolicyKit to provide fine-grained access
 control.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#468132; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <devel@glatzor.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <devel@glatzor.de>
To: Guus Sliepen <guus@debian.org>, 468132@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#468132: ITP: packagekit [...]
Date: Wed, 27 Feb 2008 22:20:15 +0100
Am Mittwoch, den 27.02.2008, 11:28 +0100 schrieb Guus Sliepen:
> On Wed, Feb 27, 2008 at 08:53:04AM +0100, Sebastian Heinlein wrote:
> 
> > * Package name    : packagekit
> >   Description     : PackageKit provides a distribution neutral interface to manage software packages. It provides a system wide daemon that performs tasks like refreshing the cash, updating, installing and removing software independetly from the user interface. By default, PackageKit uses PolicyKit for user authentication. This allows to specify with fine-grained control what your users can and cannot do.
> > 
> > (Include the long description here.)
> 
> Debian packages have both a short description and a long one. I also see
> you made some spelling errors. I suggest the following short and long
> description:
> 
> Description: distribution neutral software package manager
>  PackageKit provides a distribution neutral interface to manage
>  software packages. It provides a daemon that refreshes the package
>  cache, updates, installs and removes packages independent of the user
>  interface.
>  .
>  By default, PackageKit uses PolicyKit to provide fine-grained access
>  control.

Thanks.





Changed Bug title to `ITP: packagekit -- a distribution neutral interface to manage software packages' from `ITP: packagekit -- PackageKit provides a distribution neutral interface to manage software packages. It provides a system wide daemon that performs tasks like refreshing the cash, updating, installing and removing software independetly from the user interface. By default, PackageKit uses PolicyKit for user authentication. This allows to specify with fine-grained control what your users can and cannot do.'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 01 Mar 2008 10:27:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <tim@retout.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. Full text and rfc822 format available.

Message #22 received at 468132@bugs.debian.org (full text, mbox):

From: Tim Retout <tim@retout.co.uk>
To: Sebastian Heinlein <devel@glatzor.de>, 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- PackageKit provides a distribution neutral interface to manage software packages. It provides a system wide daemon that performs tasks like refreshing the cash, updating, installing and removing software independetly from the user interface. By default, PackageKit uses PolicyKit for user authentication. This allows to specify with fine-grained control what your users can and cannot do.
Date: Mon, 03 Mar 2008 19:01:12 +0000
On Wed, 2008-02-27 at 08:53 +0100, Sebastian Heinlein wrote:
>   Upstream Author : Richard Hughsie <richard@hughsie.com>

The author's name is 'Richard Hughes'. :)

-- 
Tim Retout <tim@retout.co.uk>





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. Full text and rfc822 format available.

Message #27 received at 468132@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 468132@bugs.debian.org, Sebastian Heinlein <devel@glatzor.de>
Subject: Re: ITP: packagekit -- a distribution neutral interface to manage software packages
Date: Tue, 06 May 2008 06:57:41 +0200
Hi,

what is the status of this ITP?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <sebi@glatzor.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. Full text and rfc822 format available.

Message #32 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <sebi@glatzor.de>
To: daniel@debian.org
Cc: 468132@bugs.debian.org, Sebastian Heinlein <devel@glatzor.de>
Subject: Re: ITP: packagekit -- a distribution neutral interface to manage software packages
Date: Wed, 07 May 2008 11:42:25 +0200
Am Dienstag, den 06.05.2008, 06:57 +0200 schrieb Daniel Baumann:
> Hi,
> 
> what is the status of this ITP?
> 
> Regards,
> Daniel

The packaging is already done. It can be found here
https://code.edge.launchpad.net/packagekit/

I am waiting for my sponsor to upload it to experimental.

Cheers,

Sebastian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Tue, 28 Oct 2008 19:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Peijnik <debian@sp.or.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Tue, 28 Oct 2008 19:00:02 GMT) Full text and rfc822 format available.

Message #37 received at 468132@bugs.debian.org (full text, mbox):

From: Stephan Peijnik <debian@sp.or.at>
To: Sebastian Heinlein <sebi@glatzor.de>
Cc: daniel@debian.org, 468132@bugs.debian.org
Subject: Re: ITP: packagekit -- a distribution neutral interface to manage software packages
Date: Tue, 28 Oct 2008 19:58:08 +0100
Hello,

I just noticed that packagekit has not been packaged for Debian yet and
stumbled across this ITP.

I just wanted to ask what the status of this ITP is. Has there been some
progress? Even though I had a quick look at the code on
https://code.edge.launchpad.net/packagekit/ no Debian package is
available yet. Is there any specific reason for this?

Regards,

Stephan





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Thu, 30 Oct 2008 21:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <sebi@glatzor.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Thu, 30 Oct 2008 21:45:02 GMT) Full text and rfc822 format available.

Message #42 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <sebi@glatzor.de>
To: Stephan Peijnik <debian@sp.or.at>, 468132@bugs.debian.org
Cc: daniel@debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral interface to manage software packages
Date: Thu, 30 Oct 2008 22:41:53 +0100
Am Dienstag, den 28.10.2008, 19:58 +0100 schrieb Stephan Peijnik:
> Hello,
> 
> I just noticed that packagekit has not been packaged for Debian yet and
> stumbled across this ITP.
> 
> I just wanted to ask what the status of this ITP is. Has there been some
> progress? Even though I had a quick look at the code on
> https://code.edge.launchpad.net/packagekit/ no Debian package is
> available yet. Is there any specific reason for this?
> 
> Regards,
> 
> Stephan

Hello,

there are some concerns of Debian developers against the non
interactiveness of PackageKit. So I want to have a working and mature
version uploaded to Debian to raise the acceptance.

But it this will happen in the near future.

The packaging for Debian can be found here:

lp:~glatzor/packagekit/packagekit-debian

Cheers,

Sebastian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Wed, 03 Dec 2008 02:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Wed, 03 Dec 2008 02:03:02 GMT) Full text and rfc822 format available.

Message #47 received at 468132@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 468132@bugs.debian.org
Subject: wnpp: 468132: packagekit: debdelta support?
Date: Wed, 03 Dec 2008 10:57:51 +0900
[Message part 1 (text/plain, inline)]
Hi,

Does packagekit have support for using debdelta files to upgrade
packages? If not, please suggest such a feature upstream.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Wed, 03 Dec 2008 07:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <sebi@glatzor.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Wed, 03 Dec 2008 07:30:05 GMT) Full text and rfc822 format available.

Message #52 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <sebi@glatzor.de>
To: Paul Wise <pabs@debian.org>, 468132@bugs.debian.org
Subject: Re: Bug#468132: wnpp: 468132: packagekit: debdelta support?
Date: Wed, 03 Dec 2008 08:26:44 +0100
Am Mittwoch, den 03.12.2008, 10:57 +0900 schrieb Paul Wise:
> Hi,
> 
> Does packagekit have support for using debdelta files to upgrade
> packages? If not, please suggest such a feature upstream.

The apt backend of PackageKit is build on top of Python APT. So you you
get all features of APT. If you want to have binary patches this should
be implemented in APT. Not discussing the issues involved here.

Cheers,

Sebastian





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Tue, 27 Jan 2009 05:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost van Baal <joostvb-debian-bugs-20090127-3@mdcc.cx>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Tue, 27 Jan 2009 05:57:02 GMT) Full text and rfc822 format available.

Message #57 received at 468132@bugs.debian.org (full text, mbox):

From: Joost van Baal <joostvb-debian-bugs-20090127-3@mdcc.cx>
To: Sebastian Heinlein <sebi@glatzor.de>
Cc: 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral interface to manage software packages
Date: Tue, 27 Jan 2009 06:54:36 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Thu, 30 Oct 2008 22:41:53 +0100, Sebastian Heinlein wrote:
> Am Dienstag, den 28.10.2008, 19:58 +0100 schrieb Stephan Peijnik:
>> I just wanted to ask what the status of this ITP is. Has there been some
>> progress?

> there are some concerns of Debian developers against the non
> interactiveness of PackageKit. So I want to have a working and mature
> version uploaded to Debian to raise the acceptance.
>
> But it this will happen in the near future.
>
> The packaging for Debian can be found here:
>
> lp:~glatzor/packagekit/packagekit-debian

Currently, packagekit is shipped with Ubuntu; it is maintained using
https://code.launchpad.net/~packagekit .  I can't find any "packagekit-debian"
branch.

What's the status of getting this into Debian?  Perhaps an upload to
experimental of the package as shipped with Ubuntu is useful?

Bye,

Joost

-- 
irc:joostvb@{OFTC,freenode} ∙ http://mdcc.cx/http://ad1810.com/
[signature.asc (application/pgp-signature, inline)]

Message sent on to Sebastian Heinlein <devel@glatzor.de>:
Bug#468132. (Thu, 05 Nov 2009 10:42:03 GMT) Full text and rfc822 format available.

Message #60 received at 468132-submitter@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu27@gmail.com>
To: 468132-submitter@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Thu, 05 Nov 2009 11:36:33 +0100
[Message part 1 (text/plain, inline)]
Hey Sebastian,

What is the status of this ITP? When do you think we will see PK in the archive?

Cheers,
Emilio

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#468132; Package wnpp. (Fri, 06 Nov 2009 06:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <sebi@glatzor.de>:
Extra info received and filed, but not forwarded. (Fri, 06 Nov 2009 06:03:05 GMT) Full text and rfc822 format available.

Message #65 received at 468132-quiet@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <sebi@glatzor.de>
To: Emilio Pozuelo Monfort <pochu27@gmail.com>, 468132-quiet@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Fri, 6 Nov 2009 06:51:43 +0100
[Message part 1 (text/plain, inline)]
I plan to get a sponsorship in the next weeks.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Fri, 15 Jan 2010 14:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Fri, 15 Jan 2010 14:09:06 GMT) Full text and rfc822 format available.

Message #70 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Fri, 15 Jan 2010 13:44:21 +0100
Is something going on on this bug?
It would be excellent if we had PackageKit packaged on Debian too. A
solution for debconf is also in progress!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Fri, 15 Jan 2010 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <sebi@glatzor.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Fri, 15 Jan 2010 22:36:03 GMT) Full text and rfc822 format available.

Message #75 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <sebi@glatzor.de>
To: Matthias Klumpp <matthias@nlinux.org>, 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Fri, 15 Jan 2010 23:27:13 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan 15, 2010 at 01:44:21PM +0100, Matthias Klumpp wrote:
> Is something going on on this bug?
> It would be excellent if we had PackageKit packaged on Debian too. A
> solution for debconf is also in progress!

Sorry to say. But AFAIK the debconf solution is currently far from being
resolved:

The approach of Dantti was not accepted by debconf upstream and the
preferred one of upstream hasn't been yet written.

Cheers,

Sebastian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Fri, 15 Jan 2010 22:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Sebastian Heinlein <devel@glatzor.de>. (Fri, 15 Jan 2010 22:48:07 GMT) Full text and rfc822 format available.

Message #80 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Fri, 15 Jan 2010 23:40:54 +0100
On Fri, 15 Jan 2010 23:27:13 +0100, Sebastian Heinlein <sebi@glatzor.de>
wrote:
> On Fri, Jan 15, 2010 at 01:44:21PM +0100, Matthias Klumpp wrote:
>> Is something going on on this bug?
>> It would be excellent if we had PackageKit packaged on Debian too. A
>> solution for debconf is also in progress!
> 
> Sorry to say. But AFAIK the debconf solution is currently far from being
> resolved:
> 
> The approach of Dantti was not accepted by debconf upstream and the
> preferred one of upstream hasn't been yet written.
I didn't know that... I really liked Danttis solution, but upstream will
have had a good reason for rejecting his example.

Is this the reason why PackageKit is not present in Debian?





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Tue, 27 Jul 2010 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>. (Tue, 27 Jul 2010 17:03:06 GMT) Full text and rfc822 format available.

Message #85 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: <468132@bugs.debian.org>
Subject: Re: Bug#468132: ITP: packagekit
Date: Tue, 27 Jul 2010 17:36:36 +0200
Hi!
Now, since the Debconf-Issue is in progress and will be resolved soon, is
there something left blocking a PackageKit inclusion into Debian?
(I'd like to see packagekit in main ^^)
Regards
 Matthias





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Wed, 25 Aug 2010 10:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>. (Wed, 25 Aug 2010 10:09:06 GMT) Full text and rfc822 format available.

Message #90 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: <468132@bugs.debian.org>
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 25 Aug 2010 11:53:56 +0200
PackageKit/KPackageKit has Debconf-Support now:
http://dantti.wordpress.com/2010/08/23/debconf-support-on-kpackagekit/
Can PackageKit be uploaded to Debian now, or is there something left
speaking against it?





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#468132; Package wnpp. (Wed, 25 Aug 2010 11:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <devel@glatzor.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Aug 2010 11:12:06 GMT) Full text and rfc822 format available.

Message #95 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <devel@glatzor.de>
To: Matthias Klumpp <matthias@nlinux.org>, 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 25 Aug 2010 13:01:11 +0200
[Message part 1 (text/plain, inline)]
On Wed, Aug 25, 2010 at 11:53:56AM +0200, Matthias Klumpp wrote:
> PackageKit/KPackageKit has Debconf-Support now:
> http://dantti.wordpress.com/2010/08/23/debconf-support-on-kpackagekit/
> Can PackageKit be uploaded to Debian now, or is there something left
> speaking against it?

I am nowadays working nearly exclusively on aptdaemon and
session-installer - apt based alternantives to PackageKit. So I won't 
have the time to push PackageKit. Feel free to adopt.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Wed, 25 Aug 2010 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>. (Wed, 25 Aug 2010 14:33:03 GMT) Full text and rfc822 format available.

Message #100 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: <468132@bugs.debian.org>
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 25 Aug 2010 16:18:31 +0200
On Wed, 25 Aug 2010 13:01:11 +0200, Sebastian Heinlein <devel@glatzor.de>
wrote:
> On Wed, Aug 25, 2010 at 11:53:56AM +0200, Matthias Klumpp wrote:
>> PackageKit/KPackageKit has Debconf-Support now:
>> http://dantti.wordpress.com/2010/08/23/debconf-support-on-kpackagekit/
>> Can PackageKit be uploaded to Debian now, or is there something left
>> speaking against it?
> 
> I am nowadays working nearly exclusively on aptdaemon and
> session-installer - apt based alternantives to PackageKit. So I won't 
> have the time to push PackageKit. Feel free to adopt.
Hmm... Okay. I'll checkout if I can maintain it and if it gets accepted
for Sid. (Probably not during freeze, but later)
Thanks for the response!





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Wed, 25 Aug 2010 16:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Heinlein <sebi@glatzor.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>. (Wed, 25 Aug 2010 16:57:16 GMT) Full text and rfc822 format available.

Message #105 received at 468132@bugs.debian.org (full text, mbox):

From: Sebastian Heinlein <sebi@glatzor.de>
To: Matthias Klumpp <matthias@nlinux.org>, 468132@bugs.debian.org
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 25 Aug 2010 18:46:43 +0200
[Message part 1 (text/plain, inline)]
On Wed, Aug 25, 2010 at 04:18:31PM +0200, Matthias Klumpp wrote:
> Hmm... Okay. I'll checkout if I can maintain it and if it gets accepted
> for Sid. (Probably not during freeze, but later)
> Thanks for the response!

If you need some assistance on the integration, feel free to contact
me.

On the backend side I would recommend to stay with the Python based
apt backend by default. Kubuntu recently switched to aptcc but this is
also a little bit problematic. (I am biased here since I am the author
of the apt backend :)

To add the debconf support to the apt backend are only a few lines of
code.

Cheers,

Sebastian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>:
Bug#468132; Package wnpp. (Wed, 25 Aug 2010 17:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Sebastian Heinlein <devel@glatzor.de>. (Wed, 25 Aug 2010 17:09:08 GMT) Full text and rfc822 format available.

Message #110 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: Sebastian Heinlein <sebi@glatzor.de>
Cc: <468132@bugs.debian.org>
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 25 Aug 2010 18:57:47 +0200
owner 468132 !

> On Wed, Aug 25, 2010 at 04:18:31PM +0200, Matthias Klumpp wrote:
>> Hmm... Okay. I'll checkout if I can maintain it and if it gets accepted
>> for Sid. (Probably not during freeze, but later)
>> Thanks for the response!
> 
> If you need some assistance on the integration, feel free to contact
> me.
Okay, I'll do it :)

> On the backend side I would recommend to stay with the Python based
> apt backend by default. Kubuntu recently switched to aptcc but this is
> also a little bit problematic. (I am biased here since I am the author
> of the apt backend :)
> 
> To add the debconf support to the apt backend are only a few lines of
> code.
What are the problems with the APTcc backend? (I use it here and only
noticed most tasks are a lot faster)

Regards
  Matthias





Owner changed from Sebastian Heinlein <devel@glatzor.de> to Matthias Klumpp <matthias@nlinux.org>. Request was from Matthias Klumpp <matthias@nlinux.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 17:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#468132; Package wnpp. (Wed, 25 Aug 2010 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 25 Aug 2010 18:48:07 GMT) Full text and rfc822 format available.

Message #117 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: <468132@bugs.debian.org>
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 25 Aug 2010 20:34:57 +0200
Hmm... I'll repackage some parts of PackageKit instead of taking the
Ubuntu version.
Maybe a package reorganisation is also needed. I think this will fix some
bugs reported agains "packagekit" at Launchpad.
(And the "new" debhelper will be used)

Why does the Font-Finding application of PackageKit not work in Debian? (A
comment claims it won't work but does not explain why)





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 19 Oct 2010 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#468132; Package wnpp. (Wed, 20 Oct 2010 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klumpp <matthias@nlinux.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 20 Oct 2010 20:09:06 GMT) Full text and rfc822 format available.

Message #124 received at 468132@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: <468132@bugs.debian.org>
Subject: Re: Bug#468132: ITP: packagekit -- a distribution neutral, interface to manage software packages
Date: Wed, 20 Oct 2010 22:06:09 +0200
Package will be in Debian Sid soon.





Reply sent to Matthias Klumpp <matthias@nlinux.org>:
You have taken responsibility. (Wed, 10 Nov 2010 23:12:19 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Heinlein <devel@glatzor.de>:
Bug acknowledged by developer. (Wed, 10 Nov 2010 23:12:19 GMT) Full text and rfc822 format available.

Message #129 received at 468132-close@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: 468132-close@bugs.debian.org
Subject: Bug#468132: fixed in packagekit 0.6.8-1
Date: Wed, 10 Nov 2010 23:02:16 +0000
Source: packagekit
Source-Version: 0.6.8-1

We believe that the bug you reported is fixed in the latest version of
packagekit, which is due to be installed in the Debian FTP archive:

browser-plugin-packagekit_0.6.8-1_i386.deb
  to main/p/packagekit/browser-plugin-packagekit_0.6.8-1_i386.deb
gstreamer0.10-packagekit_0.6.8-1_i386.deb
  to main/p/packagekit/gstreamer0.10-packagekit_0.6.8-1_i386.deb
libpackagekit-glib2-14_0.6.8-1_i386.deb
  to main/p/packagekit/libpackagekit-glib2-14_0.6.8-1_i386.deb
libpackagekit-glib2-dev_0.6.8-1_i386.deb
  to main/p/packagekit/libpackagekit-glib2-dev_0.6.8-1_i386.deb
libpackagekit-qt-dev_0.6.8-1_i386.deb
  to main/p/packagekit/libpackagekit-qt-dev_0.6.8-1_i386.deb
libpackagekit-qt14_0.6.8-1_i386.deb
  to main/p/packagekit/libpackagekit-qt14_0.6.8-1_i386.deb
packagekit-backend-apt_0.6.8-1_i386.deb
  to main/p/packagekit/packagekit-backend-apt_0.6.8-1_i386.deb
packagekit-backend-aptcc_0.6.8-1_i386.deb
  to main/p/packagekit/packagekit-backend-aptcc_0.6.8-1_i386.deb
packagekit-backend-smart_0.6.8-1_i386.deb
  to main/p/packagekit/packagekit-backend-smart_0.6.8-1_i386.deb
packagekit-bash-completion_0.6.8-1_i386.deb
  to main/p/packagekit/packagekit-bash-completion_0.6.8-1_i386.deb
packagekit-docs_0.6.8-1_all.deb
  to main/p/packagekit/packagekit-docs_0.6.8-1_all.deb
packagekit-gtk-module_0.6.8-1_i386.deb
  to main/p/packagekit/packagekit-gtk-module_0.6.8-1_i386.deb
packagekit_0.6.8-1.debian.tar.gz
  to main/p/packagekit/packagekit_0.6.8-1.debian.tar.gz
packagekit_0.6.8-1.dsc
  to main/p/packagekit/packagekit_0.6.8-1.dsc
packagekit_0.6.8-1_i386.deb
  to main/p/packagekit/packagekit_0.6.8-1_i386.deb
packagekit_0.6.8.orig.tar.gz
  to main/p/packagekit/packagekit_0.6.8.orig.tar.gz
python-packagekit_0.6.8-1_all.deb
  to main/p/packagekit/python-packagekit_0.6.8-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klumpp <matthias@nlinux.org> (supplier of updated packagekit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Aug 2010 19:40:12 +0200
Source: packagekit
Binary: packagekit packagekit-bash-completion packagekit-docs libpackagekit-glib2-14 libpackagekit-glib2-dev libpackagekit-qt14 libpackagekit-qt-dev python-packagekit packagekit-gtk-module gstreamer0.10-packagekit browser-plugin-packagekit packagekit-backend-apt packagekit-backend-aptcc packagekit-backend-smart
Architecture: source i386 all
Version: 0.6.8-1
Distribution: unstable
Urgency: low
Maintainer: Matthias Klumpp <matthias@nlinux.org>
Changed-By: Matthias Klumpp <matthias@nlinux.org>
Description: 
 browser-plugin-packagekit - Plugin to install missing plugins using PackageKit
 gstreamer0.10-packagekit - GStreamer plugin to install codecs using PackageKit
 libpackagekit-glib2-14 - Library for accessing PackageKit using GLib
 libpackagekit-glib2-dev - Library for accessing PackageKit using GLib (development files)
 libpackagekit-qt-dev - Library for accessing PackageKit using Qt4 (development files)
 libpackagekit-qt14 - Library for accessing PackageKit using Qt4
 packagekit - Provides a package management service
 packagekit-backend-apt - Python APT backend for PackageKit
 packagekit-backend-aptcc - C++ APT backend for PackageKit
 packagekit-backend-smart - Smart backend for PackageKit
 packagekit-bash-completion - Offer to install missing programs automatically
 packagekit-docs - Documentation for PackageKit
 packagekit-gtk-module - Install fonts automatically using PackageKit
 python-packagekit - PackageKit Python bindings
Closes: 468132
Changes: 
 packagekit (0.6.8-1) unstable; urgency=low
 .
   * Initial release (Closes: #468132)
Checksums-Sha1: 
 6c7555e352c701d0e72ca5bb14f8856f1da184b3 1977 packagekit_0.6.8-1.dsc
 b80ff4f99bf32479d0c736e574c368edba2a2b95 9449785 packagekit_0.6.8.orig.tar.gz
 909123b72bac4131092f1a9dec97330315635803 8770 packagekit_0.6.8-1.debian.tar.gz
 b4e076ffa28d3a7dc34444da4a70e4e4b15de16c 745082 packagekit_0.6.8-1_i386.deb
 e516d0935495bde9d841c10fbbf4070810a69fc5 76320 packagekit-bash-completion_0.6.8-1_i386.deb
 9cc30ad3b78441843710cc5db224e02d4f22f571 5979522 packagekit-docs_0.6.8-1_all.deb
 33d6ffe135e6216fad43e08cbd758ffff3fbd3d8 195998 libpackagekit-glib2-14_0.6.8-1_i386.deb
 ca8c489c5bc2595422b496002c7dc43cb2ebb9dd 77640 libpackagekit-glib2-dev_0.6.8-1_i386.deb
 fd75746ebfac0ab21c5909e429fa92dac33a3bfa 157390 libpackagekit-qt14_0.6.8-1_i386.deb
 59f9db4e68e497d6feb41ac103edf1d8a6770eac 69852 libpackagekit-qt-dev_0.6.8-1_i386.deb
 cdb1a6cab9ba2c3f6ee6fca719d40a5e281adbc3 80368 python-packagekit_0.6.8-1_all.deb
 9a1f037c1f68ebf2328017b67ead203db32af3bd 60210 packagekit-gtk-module_0.6.8-1_i386.deb
 25cdd61a1c31276a04bb7682a3879453d64b6e73 61124 gstreamer0.10-packagekit_0.6.8-1_i386.deb
 9242c66b0398135f05d227d803b21c976cccfcfb 75996 browser-plugin-packagekit_0.6.8-1_i386.deb
 a23552fcd4e2a3425da921df4afbac43c2bdf4c7 83588 packagekit-backend-apt_0.6.8-1_i386.deb
 211f5ccbd5b2745fc81eb4ea70905dc19f19b203 151670 packagekit-backend-aptcc_0.6.8-1_i386.deb
 44376e07418fb9fccd00ad95cbb9665173d606ea 70576 packagekit-backend-smart_0.6.8-1_i386.deb
Checksums-Sha256: 
 71ed755ba7d161677121853675674153c471dd9ed14a265e83323ff6e99fddb2 1977 packagekit_0.6.8-1.dsc
 bfa5c4af87f7162cc34751feff7aabbe2e2a097df2e8631f6306dcb8a9706b01 9449785 packagekit_0.6.8.orig.tar.gz
 cb7abfeb554784a717dafbaa2e610692df4e61458d252389f1b31aef7043b672 8770 packagekit_0.6.8-1.debian.tar.gz
 7796c661b03f9e0050be5b47d8d75a5103c5b8d260961e7e565c6c6519e17479 745082 packagekit_0.6.8-1_i386.deb
 36b4cdfd4ef19995fc0823313c6699470d341354e33db9a7ae658ef7601d4320 76320 packagekit-bash-completion_0.6.8-1_i386.deb
 42d1a709ef11aa45f2bdefcad9bf4e442768c1b3dc68fceb14e671c221665030 5979522 packagekit-docs_0.6.8-1_all.deb
 5bbcce40174f239e66ca2b0cb8251a2b975516feddf5e3e280473079c8c8b84d 195998 libpackagekit-glib2-14_0.6.8-1_i386.deb
 f0c101d43abeeca38ca76875159e340a8ba00705a0dc85265402328709433735 77640 libpackagekit-glib2-dev_0.6.8-1_i386.deb
 584d8412767bc6d709514e75652e7242406c7d4528ffc7f45f46e10f158f8bcc 157390 libpackagekit-qt14_0.6.8-1_i386.deb
 1f6e1ae2406849a7c9ea9ac0bc73feb536bd9ab12a223a04115effc8a84ce222 69852 libpackagekit-qt-dev_0.6.8-1_i386.deb
 5d27e77f164681b0688b589ff20b01bbaf4592479939fd4cfad8e4c16c457160 80368 python-packagekit_0.6.8-1_all.deb
 8155dd54fae109f4cbd7c90a01c268d0b7600a58e3aee73fab03a1f648b618fc 60210 packagekit-gtk-module_0.6.8-1_i386.deb
 f5f10c7afdcfc5781ba00f2bdc2d248b433de729adfa5c9e42d5a73d94d70a11 61124 gstreamer0.10-packagekit_0.6.8-1_i386.deb
 fd7d38957da98008d9781249af11b30b6c93376f37ead26ac5315f51905a742b 75996 browser-plugin-packagekit_0.6.8-1_i386.deb
 8e4a354ca38c1dc18e46400dc95991a9f50aab835e7e5718484dac79b9600cd4 83588 packagekit-backend-apt_0.6.8-1_i386.deb
 452030f36fe7e1190977a6092158728cb0a0a841c872204618c076cd3da6bae2 151670 packagekit-backend-aptcc_0.6.8-1_i386.deb
 0ade742c9a797e5af037cbb95d0faa16ff06d2768e90ad3a27ba71fa3715ef63 70576 packagekit-backend-smart_0.6.8-1_i386.deb
Files: 
 43471f8c19190f58719f81570cb3e332 1977 admin optional packagekit_0.6.8-1.dsc
 b59cbcd95c5a0f2cc68e7724e3ae081b 9449785 admin optional packagekit_0.6.8.orig.tar.gz
 1d45b02b0c5f34e4042bd9a7888053f2 8770 admin optional packagekit_0.6.8-1.debian.tar.gz
 d6c6292e20f4e5a253361b30c5b4fb6a 745082 admin optional packagekit_0.6.8-1_i386.deb
 053c30dc5c4d43fd7fe160ea5b7a3d9a 76320 libs optional packagekit-bash-completion_0.6.8-1_i386.deb
 c320095197e1d258ebaacd7901872b02 5979522 doc optional packagekit-docs_0.6.8-1_all.deb
 3cb463bc9e2cbf89e3c769cf98fe183b 195998 libs optional libpackagekit-glib2-14_0.6.8-1_i386.deb
 5ba38b07032af644c81499888ea0ddf1 77640 libdevel optional libpackagekit-glib2-dev_0.6.8-1_i386.deb
 1f49d10c89f4a95b3fc5695b65cd9e7b 157390 libs optional libpackagekit-qt14_0.6.8-1_i386.deb
 feac5c6deacecc12bba89fe6521db98c 69852 libdevel optional libpackagekit-qt-dev_0.6.8-1_i386.deb
 89e705262ab946582b8306b6567c60f7 80368 python optional python-packagekit_0.6.8-1_all.deb
 85e044c9563a61d737d0e027b45feaac 60210 libs optional packagekit-gtk-module_0.6.8-1_i386.deb
 fcafcd2ac32301847fb4fc158a83a582 61124 libs optional gstreamer0.10-packagekit_0.6.8-1_i386.deb
 41711af51b021c2b4205f6503a0cb887 75996 web optional browser-plugin-packagekit_0.6.8-1_i386.deb
 bb971d82a4540856076f513d80a7fa31 83588 admin optional packagekit-backend-apt_0.6.8-1_i386.deb
 33b08f263d73ef1b336c25d8e69b4d66 151670 admin optional packagekit-backend-aptcc_0.6.8-1_i386.deb
 bd6d026e556787d5d01aa1fed8998d53 70576 admin optional packagekit-backend-smart_0.6.8-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky9rn4ACgkQliSD4VZixzQdLwCgn63/3ARPVhHwYPBCYgCNAYgc
svQAnRAx1f05VpX2jwBP7dy+iUuIL0N+
=LVaN
-----END PGP SIGNATURE-----





Reply sent to Matthias Klumpp <matthias@nlinux.org>:
You have taken responsibility. (Wed, 10 Nov 2010 23:12:21 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Heinlein <devel@glatzor.de>:
Bug acknowledged by developer. (Wed, 10 Nov 2010 23:12:21 GMT) Full text and rfc822 format available.

Message #134 received at 468132-close@bugs.debian.org (full text, mbox):

From: Matthias Klumpp <matthias@nlinux.org>
To: 468132-close@bugs.debian.org
Subject: Bug#468132: fixed in packagekit 0.6.8-2
Date: Wed, 10 Nov 2010 23:02:35 +0000
Source: packagekit
Source-Version: 0.6.8-2

We believe that the bug you reported is fixed in the latest version of
packagekit, which is due to be installed in the Debian FTP archive:

browser-plugin-packagekit_0.6.8-2_i386.deb
  to main/p/packagekit/browser-plugin-packagekit_0.6.8-2_i386.deb
gstreamer0.10-packagekit_0.6.8-2_i386.deb
  to main/p/packagekit/gstreamer0.10-packagekit_0.6.8-2_i386.deb
libpackagekit-glib2-14_0.6.8-2_i386.deb
  to main/p/packagekit/libpackagekit-glib2-14_0.6.8-2_i386.deb
libpackagekit-glib2-dev_0.6.8-2_i386.deb
  to main/p/packagekit/libpackagekit-glib2-dev_0.6.8-2_i386.deb
libpackagekit-qt-dev_0.6.8-2_i386.deb
  to main/p/packagekit/libpackagekit-qt-dev_0.6.8-2_i386.deb
libpackagekit-qt14_0.6.8-2_i386.deb
  to main/p/packagekit/libpackagekit-qt14_0.6.8-2_i386.deb
packagekit-backend-apt_0.6.8-2_i386.deb
  to main/p/packagekit/packagekit-backend-apt_0.6.8-2_i386.deb
packagekit-backend-aptcc_0.6.8-2_i386.deb
  to main/p/packagekit/packagekit-backend-aptcc_0.6.8-2_i386.deb
packagekit-backend-smart_0.6.8-2_i386.deb
  to main/p/packagekit/packagekit-backend-smart_0.6.8-2_i386.deb
packagekit-bash-completion_0.6.8-2_i386.deb
  to main/p/packagekit/packagekit-bash-completion_0.6.8-2_i386.deb
packagekit-docs_0.6.8-2_all.deb
  to main/p/packagekit/packagekit-docs_0.6.8-2_all.deb
packagekit-gtk-module_0.6.8-2_i386.deb
  to main/p/packagekit/packagekit-gtk-module_0.6.8-2_i386.deb
packagekit_0.6.8-2.debian.tar.gz
  to main/p/packagekit/packagekit_0.6.8-2.debian.tar.gz
packagekit_0.6.8-2.dsc
  to main/p/packagekit/packagekit_0.6.8-2.dsc
packagekit_0.6.8-2_i386.deb
  to main/p/packagekit/packagekit_0.6.8-2_i386.deb
python-packagekit_0.6.8-2_all.deb
  to main/p/packagekit/python-packagekit_0.6.8-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klumpp <matthias@nlinux.org> (supplier of updated packagekit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Oct 2010 21:05:19 +0200
Source: packagekit
Binary: packagekit packagekit-bash-completion packagekit-docs libpackagekit-glib2-14 libpackagekit-glib2-dev libpackagekit-qt14 libpackagekit-qt-dev python-packagekit packagekit-gtk-module gstreamer0.10-packagekit browser-plugin-packagekit packagekit-backend-apt packagekit-backend-aptcc packagekit-backend-smart
Architecture: source i386 all
Version: 0.6.8-2
Distribution: unstable
Urgency: low
Maintainer: Matthias Klumpp <matthias@nlinux.org>
Changed-By: Matthias Klumpp <matthias@nlinux.org>
Description: 
 browser-plugin-packagekit - Plugin to install missing plugins using PackageKit
 gstreamer0.10-packagekit - GStreamer plugin to install codecs using PackageKit
 libpackagekit-glib2-14 - Library for accessing PackageKit using GLib
 libpackagekit-glib2-dev - Library for accessing PackageKit using GLib (development files)
 libpackagekit-qt-dev - Library for accessing PackageKit using Qt4 (development files)
 libpackagekit-qt14 - Library for accessing PackageKit using Qt4
 packagekit - Provides a package management service
 packagekit-backend-apt - Python APT backend for PackageKit
 packagekit-backend-aptcc - C++ APT backend for PackageKit
 packagekit-backend-smart - Smart backend for PackageKit
 packagekit-bash-completion - Offer to install missing programs automatically
 packagekit-docs - Documentation for PackageKit
 packagekit-gtk-module - Install fonts automatically using PackageKit
 python-packagekit - PackageKit Python bindings
Closes: 468132
Changes: 
 packagekit (0.6.8-2) unstable; urgency=low
 .
   * Make dh_makeshlibs ignore non-public libraries. This prevents it from
     including an useless shlibs-controlfile into the packages.
   * Merged some patches from Ubuntu
 .
 packagekit (0.6.8-1) unstable; urgency=low
 .
   * Initial release (Closes: #468132)
Checksums-Sha1: 
 419a6faeae04766fba4e5de1a7b82f592246f5c7 1980 packagekit_0.6.8-2.dsc
 33bf77c49e45857b567f99b43b98bcdc95cf98cb 10342 packagekit_0.6.8-2.debian.tar.gz
 539b94dbd4f01a67c73f378f0ff0aaf9472189e0 745148 packagekit_0.6.8-2_i386.deb
 2d03689c1ade51121d2f59af9197700e3699daed 76446 packagekit-bash-completion_0.6.8-2_i386.deb
 8987298b51ff54b68c1a1292860c8b156cccb645 5979708 packagekit-docs_0.6.8-2_all.deb
 2258681c062fd5e357f89ccd823d6bc9ce118faf 196092 libpackagekit-glib2-14_0.6.8-2_i386.deb
 cf30901b29ba8d3dd2da4365b8f4b6f0a07b1a90 77764 libpackagekit-glib2-dev_0.6.8-2_i386.deb
 85189831eb1d593b31c8cabd78108ed9a5ba57e2 157568 libpackagekit-qt14_0.6.8-2_i386.deb
 4d46ba7040e9371e182eade618a827129217a6fc 69970 libpackagekit-qt-dev_0.6.8-2_i386.deb
 97284b5c4e8b40abeb7bdaac568744a413c784d1 80494 python-packagekit_0.6.8-2_all.deb
 3a351991bd81bbd6302adc08cd8c7d0589849f42 60184 packagekit-gtk-module_0.6.8-2_i386.deb
 a2c26560541c590929c7715db0dcdaa8ebf0d8c8 61252 gstreamer0.10-packagekit_0.6.8-2_i386.deb
 d16c5fd4d1dc262e74f953c58bf739dc010eb39b 75960 browser-plugin-packagekit_0.6.8-2_i386.deb
 99d7d50431acecbbb44550d24313828aad48a94b 83676 packagekit-backend-apt_0.6.8-2_i386.deb
 6bc634ddbde571e0fbdbecab539fb3896f89f1b5 151944 packagekit-backend-aptcc_0.6.8-2_i386.deb
 4e10e8e916062cd1c2b63b9d5cdd1250159a5444 70696 packagekit-backend-smart_0.6.8-2_i386.deb
Checksums-Sha256: 
 8dbbdb1e89df90e1b032b55093dd0e201a35f7fde4ce1cfdf12d7c74f2d622fb 1980 packagekit_0.6.8-2.dsc
 7dc2ca6e06e8c6a73fa46cd73b7b3bff0e07cb0a7e21b248217d64a5d9a8f55c 10342 packagekit_0.6.8-2.debian.tar.gz
 00f8bc5b2a93a5610c42b2a9b1eb300bb2d75f2ffaa98f5cbe67d1a9fbe06d5d 745148 packagekit_0.6.8-2_i386.deb
 89dbdfc67fa1fd58bf8e670450252676621b4665c6bb90554d03f7cfedef7e64 76446 packagekit-bash-completion_0.6.8-2_i386.deb
 e712741b13f1093e0fd4d5909c1f3c81155ef30bbdb94cc2c2ca77bda6d90433 5979708 packagekit-docs_0.6.8-2_all.deb
 126fd1783e38b0c2d9f12db55beb76043e239f60106577663a7b1c896b98d0c7 196092 libpackagekit-glib2-14_0.6.8-2_i386.deb
 4570c7e4eca95e0461742420c1c444c50dd04ecf18e6120bf76ba18aa218902d 77764 libpackagekit-glib2-dev_0.6.8-2_i386.deb
 543471f925961af9e47bbd6b4e14e70a9612ea66cb0f8b9c1f68e381ea784e2b 157568 libpackagekit-qt14_0.6.8-2_i386.deb
 ed20dbbd9a80ec593d7b80e4eeb0e1bb9b18e7f8868b62460e21629a8c023b39 69970 libpackagekit-qt-dev_0.6.8-2_i386.deb
 8440184c7dc0c8785f10ebcd6088350a0ae730fc28e59b17913dfcf708c8e08c 80494 python-packagekit_0.6.8-2_all.deb
 010695bbf2c1a440e9c563d8036ac97d8b5aa3832669d959ca4382f2eb99ab38 60184 packagekit-gtk-module_0.6.8-2_i386.deb
 bf525e4045c8aed25b7503a77500d3092e038b3053738fa62e33c58826a7123d 61252 gstreamer0.10-packagekit_0.6.8-2_i386.deb
 3c591502dcca838e99681f79f154f442ec1641232591684500ea50a2c0b80d2b 75960 browser-plugin-packagekit_0.6.8-2_i386.deb
 1338f748b0dc2cfe2dde4dbf285da3416f933f0d747429bdb1c62bcf4a606f79 83676 packagekit-backend-apt_0.6.8-2_i386.deb
 90b00a9537de719a13d63a0797d6547c12d1cb6eb28a11b2497dd7d29615a9f8 151944 packagekit-backend-aptcc_0.6.8-2_i386.deb
 c46bac60b18dbb415433c04d9c88e8363d675890a98a9ef6e2db75fcc0b8fd9a 70696 packagekit-backend-smart_0.6.8-2_i386.deb
Files: 
 4c624d43539b3cb750447abe141c249d 1980 admin optional packagekit_0.6.8-2.dsc
 72e30985d1a5035ad88ccd31f67ad082 10342 admin optional packagekit_0.6.8-2.debian.tar.gz
 2c5eb0c786512c766f1193a43516d296 745148 admin optional packagekit_0.6.8-2_i386.deb
 b1995be94aa2dffbcde259b0fad67ced 76446 libs optional packagekit-bash-completion_0.6.8-2_i386.deb
 7841c74062d5f58da7bc2fe629100f47 5979708 doc optional packagekit-docs_0.6.8-2_all.deb
 adf9110e64f7c3351961b673c96fcbe3 196092 libs optional libpackagekit-glib2-14_0.6.8-2_i386.deb
 af561b38ab5fcb7c9fbc24bc07da002c 77764 libdevel optional libpackagekit-glib2-dev_0.6.8-2_i386.deb
 f8005e0a867564a95ac4b27aa2af09c8 157568 libs optional libpackagekit-qt14_0.6.8-2_i386.deb
 46e06002aa7a755a27bf0bfb35fba602 69970 libdevel optional libpackagekit-qt-dev_0.6.8-2_i386.deb
 0f54b1ecd89ddbc7e7cbd7a709168775 80494 python optional python-packagekit_0.6.8-2_all.deb
 064d85ca49d97b1432af3244efb44b56 60184 libs optional packagekit-gtk-module_0.6.8-2_i386.deb
 9318c3df39593ae98decbb029b4f6b4b 61252 libs optional gstreamer0.10-packagekit_0.6.8-2_i386.deb
 2c1be96840645a6c7793be535f8f47f8 75960 web optional browser-plugin-packagekit_0.6.8-2_i386.deb
 e2eb74f423c07f884a5e52f1dbec78e6 83676 admin optional packagekit-backend-apt_0.6.8-2_i386.deb
 cb038c26acb7edec2377cd0acb0476d7 151944 admin optional packagekit-backend-aptcc_0.6.8-2_i386.deb
 c2623f795bcc5dd18a0e264c4eb0e7ae 70696 admin optional packagekit-backend-smart_0.6.8-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAky/OfMACgkQliSD4VZixzTLQgCeOjBnkbPRDX452jwprs0snvj4
A7cAn3i7+RroaRIIm7JBx3weG91OnvNg
=RiI7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Dec 2010 07:31:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:37:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.